Pagina 1 di 1

[Risolto] Compilazione gegl-0.3

Inviato: 7 giugno 2013, 19:15
da crx
Ciao a tutti.
Utilizzo normalmente gimp-2.9, e per farlo compilo babl e gegl.
Ultimamente, gegl è passato alla versione 0.3, e quando lo compilo ottengo questo errore:

Codice: Seleziona tutto

  CC       gegl-random.lo
  CC       gegl-matrix.lo
  CCLD     libgegl-0.3.la
  GISCAN Gegl-0.3.gir
  GICOMP Gegl-0.3.gir
/usr/bin/vapigen --library=gegl-0.3 --metadatadir=./ Gegl-0.3.gir
error: Package `GLib-2.0' not found in specified Vala API directories or GObject-Introspection GIR directories
error: Package `GObject-2.0' not found in specified Vala API directories or GObject-Introspection GIR directories
Gegl-0.3.metadata:2.1-2.25: warning: metadata never used
module_register_type skip
^^^^^^^^^^^^^^^^^^^^^^^^^
Generation failed: 2 error(s), 1 warning(s)
make[3]: *** [gegl-0.3.vapi] Errore 1
make[3]: Leaving directory `/home/andrea/Documenti/gimp_2.9/src/gegl/gegl'
make[2]: *** [all-recursive] Errore 1
make[2]: Leaving directory `/home/andrea/Documenti/gimp_2.9/src/gegl/gegl'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/home/andrea/Documenti/gimp_2.9/src/gegl'
make: *** [all] Errore 2
Da quello che capisco dovrebbe essere un problema di Vala, ma vala è installato e GObject-2.0 e GLib-2.0 sono presenti:

Codice: Seleziona tutto

ls /usr/share/vala-0.20/vapi/
...              glib-2.0.vapi                     ...             gobject-2.0.vapi                  ...
Cosa mi manca?
Grazie

Re: Compilazione gegl-0.3

Inviato: 7 giugno 2013, 20:00
da crx
Due giorni di ricerche e poi ho trovato la soluzione dopo dieci minuti dal primo post... :evil:

Comunque... 'Risolto' rimuovendo il supporto a vala (disinstallandolo o con l'opzione --without-vala).
Ma non c'è modo di utilizzare anche il supporto a vala?
Comunque aggiungo Risolto.
Ciao!